## GcrImportButton GcrImportButton — Button which imports parsed certificates and keys |

## Functions

GcrImportButton * | gcr_import_button_new ()
void | gcr_import_button_add_parsed ()

## Signals

void | imported | Run Last
void | importing | Run Last

## Types and Values

struct | GcrImportButton
struct | GcrImportButtonClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GcrImportButton

## Implemented Interfaces

GcrImportButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

A button which imports keys and certificates. Shows a spinner when the button is activated. When more than one importer is available shows a drop down to select which to import to.

## Functions

### gcr_import_button_new ()

    GcrImportButton *
    gcr_import_button_new (const gchar *label);

Create a new GcrImportButton.

#### Parameters

label | label to display on the button. | [allow-none]

#### Returns

a newly created GcrImportButton.

[transfer full]

### gcr_import_button_add_parsed ()

    void
    gcr_import_button_add_parsed (GcrImportButton *self,
                                  GcrParsed *parsed);

Queue an item to import via the button

#### Parameters

self | an import button |
parsed | a parsed item |

## Types and Values

### struct GcrImportButton

    struct GcrImportButton;

Button which imports parsed certificates and keys.

### struct GcrImportButtonClass

    struct GcrImportButtonClass {
    	GtkButtonClass parent_class;

    	void    (*importing)   (GcrImportButton *self,
    	                        GcrImporter *importer);

    	void    (*imported)    (GcrImportButton *self,
    	                        GcrImporter *importer,
    	                        GError *error);
    };

Class for GcrImportButton.

#### Members

GtkButtonClass `parent_class`; | The parent class |
`importing` () | Emitted when the import begins. |
`imported` () | Emitted when the import completes, or fails. |

## Signal Details

### The `“imported”` signal

    void
    user_function (GcrImportButton *self,
                   GObject         *importer,
                   GError          *error,
                   gpointer         user_data)

Signal emitted when an import completes or fails.

#### Parameters

self | the import button |
importer | the importer that was imported to |
error | if import was successful `NULL`, or an error |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“importing”` signal

    void
    user_function (GcrImportButton *self,
                   GObject         *importer,
                   gpointer         user_data)

Signal emitted when an import begins.

#### Parameters

self | the import button |
importer | the importer that will be imported to |
user_data | user data set when the signal handler was connected. |

Flags: Run Last